# -*- coding: utf8 -*-

# 2009.08.31.ET :: Revised and expanded based on patch from Dwayne Bailey
# 2016.03.22 DC :: Based on Afrikaans.h and $ python nototools/coverage.py 
#                  ~/fonts/ofl/sourcecodepro/SourceCodePro-Regular.ttf

class Charset:
    common_name = 'Source Code Pro'
    native_name = 'Source Code Pro'
    abbreviation = 'SCP'
    key = 0x0030
    glyphs = [
        0x0000, # <Unassigned>
        0x000D, # <Unassigned>
        0x0020, # SPACE
        0x0021, # EXCLAMATION MARK
        0x0022, # QUOTATION MARK
        0x0023, # NUMBER SIGN
        0x0024, # DOLLAR SIGN
        0x0025, # PERCENT SIGN
        0x0026, # AMPERSAND
        0x0027, # APOSTROPHE
        0x0028, # LEFT PARENTHESIS
        0x0029, # RIGHT PARENTHESIS
        0x002A, # ASTERISK
        0x002B, # PLUS SIGN
        0x002C, # COMMA
        0x002D, # HYPHEN-MINUS
        0x002E, # FULL STOP
        0x002F, # SOLIDUS
        0x0030, # DIGIT ZERO
        0x0031, # DIGIT ONE
        0x0032, # DIGIT TWO
        0x0033, # DIGIT THREE
        0x0034, # DIGIT FOUR
        0x0035, # DIGIT FIVE
        0x0036, # DIGIT SIX
        0x0037, # DIGIT SEVEN
        0x0038, # DIGIT EIGHT
        0x0039, # DIGIT NINE
        0x003A, # COLON
        0x003B, # SEMICOLON
        0x003C, # LESS-THAN SIGN
        0x003D, # EQUALS SIGN
        0x003E, # GREATER-THAN SIGN
        0x003F, # QUESTION MARK
        0x0040, # COMMERCIAL AT
        0x0041, # LATIN CAPITAL LETTER A
        0x0042, # LATIN CAPITAL LETTER B
        0x0043, # LATIN CAPITAL LETTER C
        0x0044, # LATIN CAPITAL LETTER D
        0x0045, # LATIN CAPITAL LETTER E
        0x0046, # LATIN CAPITAL LETTER F
        0x0047, # LATIN CAPITAL LETTER G
        0x0048, # LATIN CAPITAL LETTER H
        0x0049, # LATIN CAPITAL LETTER I
        0x004A, # LATIN CAPITAL LETTER J
        0x004B, # LATIN CAPITAL LETTER K
        0x004C, # LATIN CAPITAL LETTER L
        0x004D, # LATIN CAPITAL LETTER M
        0x004E, # LATIN CAPITAL LETTER N
        0x004F, # LATIN CAPITAL LETTER O
        0x0050, # LATIN CAPITAL LETTER P
        0x0051, # LATIN CAPITAL LETTER Q
        0x0052, # LATIN CAPITAL LETTER R
        0x0053, # LATIN CAPITAL LETTER S
        0x0054, # LATIN CAPITAL LETTER T
        0x0055, # LATIN CAPITAL LETTER U
        0x0056, # LATIN CAPITAL LETTER V
        0x0057, # LATIN CAPITAL LETTER W
        0x0058, # LATIN CAPITAL LETTER X
        0x0059, # LATIN CAPITAL LETTER Y
        0x005A, # LATIN CAPITAL LETTER Z
        0x005B, # LEFT SQUARE BRACKET
        0x005C, # REVERSE SOLIDUS
        0x005D, # RIGHT SQUARE BRACKET
        0x005E, # CIRCUMFLEX ACCENT
        0x005F, # LOW LINE
        0x0060, # GRAVE ACCENT
        0x0061, # LATIN SMALL LETTER A
        0x0062, # LATIN SMALL LETTER B
        0x0063, # LATIN SMALL LETTER C
        0x0064, # LATIN SMALL LETTER D
        0x0065, # LATIN SMALL LETTER E
        0x0066, # LATIN SMALL LETTER F
        0x0067, # LATIN SMALL LETTER G
        0x0068, # LATIN SMALL LETTER H
        0x0069, # LATIN SMALL LETTER I
        0x006A, # LATIN SMALL LETTER J
        0x006B, # LATIN SMALL LETTER K
        0x006C, # LATIN SMALL LETTER L
        0x006D, # LATIN SMALL LETTER M
        0x006E, # LATIN SMALL LETTER N
        0x006F, # LATIN SMALL LETTER O
        0x0070, # LATIN SMALL LETTER P
        0x0071, # LATIN SMALL LETTER Q
        0x0072, # LATIN SMALL LETTER R
        0x0073, # LATIN SMALL LETTER S
        0x0074, # LATIN SMALL LETTER T
        0x0075, # LATIN SMALL LETTER U
        0x0076, # LATIN SMALL LETTER V
        0x0077, # LATIN SMALL LETTER W
        0x0078, # LATIN SMALL LETTER X
        0x0079, # LATIN SMALL LETTER Y
        0x007A, # LATIN SMALL LETTER Z
        0x007B, # LEFT CURLY BRACKET
        0x007C, # VERTICAL LINE
        0x007D, # RIGHT CURLY BRACKET
        0x007E, # TILDE
        0x00A0, # NO-BREAK SPACE
        0x00A1, # INVERTED EXCLAMATION MARK
        0x00A2, # CENT SIGN
        0x00A3, # POUND SIGN
        0x00A4, # CURRENCY SIGN
        0x00A5, # YEN SIGN
        0x00A6, # BROKEN BAR
        0x00A7, # SECTION SIGN
        0x00A8, # DIAERESIS
        0x00A9, # COPYRIGHT SIGN
        0x00AA, # FEMININE ORDINAL INDICATOR
        0x00AB, # LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
        0x00AC, # NOT SIGN
        0x00AD, # SOFT HYPHEN
        0x00AE, # REGISTERED SIGN
        0x00AF, # MACRON
        0x00B0, # DEGREE SIGN
        0x00B1, # PLUS-MINUS SIGN
        0x00B2, # SUPERSCRIPT TWO
        0x00B3, # SUPERSCRIPT THREE
        0x00B4, # ACUTE ACCENT
        0x00B5, # MICRO SIGN
        0x00B6, # PILCROW SIGN
        0x00B7, # MIDDLE DOT
        0x00B8, # CEDILLA
        0x00B9, # SUPERSCRIPT ONE
        0x00BA, # MASCULINE ORDINAL INDICATOR
        0x00BB, # RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
        0x00BC, # VULGAR FRACTION ONE QUARTER
        0x00BD, # VULGAR FRACTION ONE HALF
        0x00BE, # VULGAR FRACTION THREE QUARTERS
        0x00BF, # INVERTED QUESTION MARK
        0x00C0, # LATIN CAPITAL LETTER A WITH GRAVE
        0x00C1, # LATIN CAPITAL LETTER A WITH ACUTE
        0x00C2, # LATIN CAPITAL LETTER A WITH CIRCUMFLEX
        0x00C3, # LATIN CAPITAL LETTER A WITH TILDE
        0x00C4, # LATIN CAPITAL LETTER A WITH DIAERESIS
        0x00C5, # LATIN CAPITAL LETTER A WITH RING ABOVE
        0x00C6, # LATIN CAPITAL LETTER AE
        0x00C7, # LATIN CAPITAL LETTER C WITH CEDILLA
        0x00C8, # LATIN CAPITAL LETTER E WITH GRAVE
        0x00C9, # LATIN CAPITAL LETTER E WITH ACUTE
        0x00CA, # LATIN CAPITAL LETTER E WITH CIRCUMFLEX
        0x00CB, # LATIN CAPITAL LETTER E WITH DIAERESIS
        0x00CC, # LATIN CAPITAL LETTER I WITH GRAVE
        0x00CD, # LATIN CAPITAL LETTER I WITH ACUTE
        0x00CE, # LATIN CAPITAL LETTER I WITH CIRCUMFLEX
        0x00CF, # LATIN CAPITAL LETTER I WITH DIAERESIS
        0x00D0, # LATIN CAPITAL LETTER ETH
        0x00D1, # LATIN CAPITAL LETTER N WITH TILDE
        0x00D2, # LATIN CAPITAL LETTER O WITH GRAVE
        0x00D3, # LATIN CAPITAL LETTER O WITH ACUTE
        0x00D4, # LATIN CAPITAL LETTER O WITH CIRCUMFLEX
        0x00D5, # LATIN CAPITAL LETTER O WITH TILDE
        0x00D6, # LATIN CAPITAL LETTER O WITH DIAERESIS
        0x00D7, # MULTIPLICATION SIGN
        0x00D8, # LATIN CAPITAL LETTER O WITH STROKE
        0x00D9, # LATIN CAPITAL LETTER U WITH GRAVE
        0x00DA, # LATIN CAPITAL LETTER U WITH ACUTE
        0x00DB, # LATIN CAPITAL LETTER U WITH CIRCUMFLEX
        0x00DC, # LATIN CAPITAL LETTER U WITH DIAERESIS
        0x00DD, # LATIN CAPITAL LETTER Y WITH ACUTE
        0x00DE, # LATIN CAPITAL LETTER THORN
        0x00DF, # LATIN SMALL LETTER SHARP S
        0x00E0, # LATIN SMALL LETTER A WITH GRAVE
        0x00E1, # LATIN SMALL LETTER A WITH ACUTE
        0x00E2, # LATIN SMALL LETTER A WITH CIRCUMFLEX
        0x00E3, # LATIN SMALL LETTER A WITH TILDE
        0x00E4, # LATIN SMALL LETTER A WITH DIAERESIS
        0x00E5, # LATIN SMALL LETTER A WITH RING ABOVE
        0x00E6, # LATIN SMALL LETTER AE
        0x00E7, # LATIN SMALL LETTER C WITH CEDILLA
        0x00E8, # LATIN SMALL LETTER E WITH GRAVE
        0x00E9, # LATIN SMALL LETTER E WITH ACUTE
        0x00EA, # LATIN SMALL LETTER E WITH CIRCUMFLEX
        0x00EB, # LATIN SMALL LETTER E WITH DIAERESIS
        0x00EC, # LATIN SMALL LETTER I WITH GRAVE
        0x00ED, # LATIN SMALL LETTER I WITH ACUTE
        0x00EE, # LATIN SMALL LETTER I WITH CIRCUMFLEX
        0x00EF, # LATIN SMALL LETTER I WITH DIAERESIS
        0x00F0, # LATIN SMALL LETTER ETH
        0x00F1, # LATIN SMALL LETTER N WITH TILDE
        0x00F2, # LATIN SMALL LETTER O WITH GRAVE
        0x00F3, # LATIN SMALL LETTER O WITH ACUTE
        0x00F4, # LATIN SMALL LETTER O WITH CIRCUMFLEX
        0x00F5, # LATIN SMALL LETTER O WITH TILDE
        0x00F6, # LATIN SMALL LETTER O WITH DIAERESIS
        0x00F7, # DIVISION SIGN
        0x00F8, # LATIN SMALL LETTER O WITH STROKE
        0x00F9, # LATIN SMALL LETTER U WITH GRAVE
        0x00FA, # LATIN SMALL LETTER U WITH ACUTE
        0x00FB, # LATIN SMALL LETTER U WITH CIRCUMFLEX
        0x00FC, # LATIN SMALL LETTER U WITH DIAERESIS
        0x00FD, # LATIN SMALL LETTER Y WITH ACUTE
        0x00FE, # LATIN SMALL LETTER THORN
        0x00FF, # LATIN SMALL LETTER Y WITH DIAERESIS
        0x0100, # LATIN CAPITAL LETTER A WITH MACRON
        0x0101, # LATIN SMALL LETTER A WITH MACRON
        0x0102, # LATIN CAPITAL LETTER A WITH BREVE
        0x0103, # LATIN SMALL LETTER A WITH BREVE
        0x0104, # LATIN CAPITAL LETTER A WITH OGONEK
        0x0105, # LATIN SMALL LETTER A WITH OGONEK
        0x0106, # LATIN CAPITAL LETTER C WITH ACUTE
        0x0107, # LATIN SMALL LETTER C WITH ACUTE
        0x0108, # LATIN CAPITAL LETTER C WITH CIRCUMFLEX
        0x0109, # LATIN SMALL LETTER C WITH CIRCUMFLEX
        0x010A, # LATIN CAPITAL LETTER C WITH DOT ABOVE
        0x010B, # LATIN SMALL LETTER C WITH DOT ABOVE
        0x010C, # LATIN CAPITAL LETTER C WITH CARON
        0x010D, # LATIN SMALL LETTER C WITH CARON
        0x010E, # LATIN CAPITAL LETTER D WITH CARON
        0x010F, # LATIN SMALL LETTER D WITH CARON
        0x0110, # LATIN CAPITAL LETTER D WITH STROKE
        0x0111, # LATIN SMALL LETTER D WITH STROKE
        0x0112, # LATIN CAPITAL LETTER E WITH MACRON
        0x0113, # LATIN SMALL LETTER E WITH MACRON
        0x0114, # LATIN CAPITAL LETTER E WITH BREVE
        0x0115, # LATIN SMALL LETTER E WITH BREVE
        0x0116, # LATIN CAPITAL LETTER E WITH DOT ABOVE
        0x0117, # LATIN SMALL LETTER E WITH DOT ABOVE
        0x0118, # LATIN CAPITAL LETTER E WITH OGONEK
        0x0119, # LATIN SMALL LETTER E WITH OGONEK
        0x011A, # LATIN CAPITAL LETTER E WITH CARON
        0x011B, # LATIN SMALL LETTER E WITH CARON
        0x011C, # LATIN CAPITAL LETTER G WITH CIRCUMFLEX
        0x011D, # LATIN SMALL LETTER G WITH CIRCUMFLEX
        0x011E, # LATIN CAPITAL LETTER G WITH BREVE
        0x011F, # LATIN SMALL LETTER G WITH BREVE
        0x0120, # LATIN CAPITAL LETTER G WITH DOT ABOVE
        0x0121, # LATIN SMALL LETTER G WITH DOT ABOVE
        0x0122, # LATIN CAPITAL LETTER G WITH CEDILLA
        0x0123, # LATIN SMALL LETTER G WITH CEDILLA
        0x0124, # LATIN CAPITAL LETTER H WITH CIRCUMFLEX
        0x0125, # LATIN SMALL LETTER H WITH CIRCUMFLEX
        0x0126, # LATIN CAPITAL LETTER H WITH STROKE
        0x0127, # LATIN SMALL LETTER H WITH STROKE
        0x0128, # LATIN CAPITAL LETTER I WITH TILDE
        0x0129, # LATIN SMALL LETTER I WITH TILDE
        0x012A, # LATIN CAPITAL LETTER I WITH MACRON
        0x012B, # LATIN SMALL LETTER I WITH MACRON
        0x012C, # LATIN CAPITAL LETTER I WITH BREVE
        0x012D, # LATIN SMALL LETTER I WITH BREVE
        0x012E, # LATIN CAPITAL LETTER I WITH OGONEK
        0x012F, # LATIN SMALL LETTER I WITH OGONEK
        0x0130, # LATIN CAPITAL LETTER I WITH DOT ABOVE
        0x0131, # LATIN SMALL LETTER DOTLESS I
        0x0134, # LATIN CAPITAL LETTER J WITH CIRCUMFLEX
        0x0135, # LATIN SMALL LETTER J WITH CIRCUMFLEX
        0x0136, # LATIN CAPITAL LETTER K WITH CEDILLA
        0x0137, # LATIN SMALL LETTER K WITH CEDILLA
        0x0138, # LATIN SMALL LETTER KRA
        0x0139, # LATIN CAPITAL LETTER L WITH ACUTE
        0x013A, # LATIN SMALL LETTER L WITH ACUTE
        0x013B, # LATIN CAPITAL LETTER L WITH CEDILLA
        0x013C, # LATIN SMALL LETTER L WITH CEDILLA
        0x013D, # LATIN CAPITAL LETTER L WITH CARON
        0x013E, # LATIN SMALL LETTER L WITH CARON
        0x013F, # LATIN CAPITAL LETTER L WITH MIDDLE DOT
        0x0140, # LATIN SMALL LETTER L WITH MIDDLE DOT
        0x0141, # LATIN CAPITAL LETTER L WITH STROKE
        0x0142, # LATIN SMALL LETTER L WITH STROKE
        0x0143, # LATIN CAPITAL LETTER N WITH ACUTE
        0x0144, # LATIN SMALL LETTER N WITH ACUTE
        0x0145, # LATIN CAPITAL LETTER N WITH CEDILLA
        0x0146, # LATIN SMALL LETTER N WITH CEDILLA
        0x0147, # LATIN CAPITAL LETTER N WITH CARON
        0x0148, # LATIN SMALL LETTER N WITH CARON
        0x0149, # LATIN SMALL LETTER N PRECEDED BY APOSTROPHE
        0x014C, # LATIN CAPITAL LETTER O WITH MACRON
        0x014D, # LATIN SMALL LETTER O WITH MACRON
        0x014E, # LATIN CAPITAL LETTER O WITH BREVE
        0x014F, # LATIN SMALL LETTER O WITH BREVE
        0x0150, # LATIN CAPITAL LETTER O WITH DOUBLE ACUTE
        0x0151, # LATIN SMALL LETTER O WITH DOUBLE ACUTE
        0x0152, # LATIN CAPITAL LIGATURE OE
        0x0153, # LATIN SMALL LIGATURE OE
        0x0154, # LATIN CAPITAL LETTER R WITH ACUTE
        0x0155, # LATIN SMALL LETTER R WITH ACUTE
        0x0156, # LATIN CAPITAL LETTER R WITH CEDILLA
        0x0157, # LATIN SMALL LETTER R WITH CEDILLA
        0x0158, # LATIN CAPITAL LETTER R WITH CARON
        0x0159, # LATIN SMALL LETTER R WITH CARON
        0x015A, # LATIN CAPITAL LETTER S WITH ACUTE
        0x015B, # LATIN SMALL LETTER S WITH ACUTE
        0x015C, # LATIN CAPITAL LETTER S WITH CIRCUMFLEX
        0x015D, # LATIN SMALL LETTER S WITH CIRCUMFLEX
        0x015E, # LATIN CAPITAL LETTER S WITH CEDILLA
        0x015F, # LATIN SMALL LETTER S WITH CEDILLA
        0x0160, # LATIN CAPITAL LETTER S WITH CARON
        0x0161, # LATIN SMALL LETTER S WITH CARON
        0x0162, # LATIN CAPITAL LETTER T WITH CEDILLA
        0x0163, # LATIN SMALL LETTER T WITH CEDILLA
        0x0164, # LATIN CAPITAL LETTER T WITH CARON
        0x0165, # LATIN SMALL LETTER T WITH CARON
        0x0168, # LATIN CAPITAL LETTER U WITH TILDE
        0x0169, # LATIN SMALL LETTER U WITH TILDE
        0x016A, # LATIN CAPITAL LETTER U WITH MACRON
        0x016B, # LATIN SMALL LETTER U WITH MACRON
        0x016C, # LATIN CAPITAL LETTER U WITH BREVE
        0x016D, # LATIN SMALL LETTER U WITH BREVE
        0x016E, # LATIN CAPITAL LETTER U WITH RING ABOVE
        0x016F, # LATIN SMALL LETTER U WITH RING ABOVE
        0x0170, # LATIN CAPITAL LETTER U WITH DOUBLE ACUTE
        0x0171, # LATIN SMALL LETTER U WITH DOUBLE ACUTE
        0x0172, # LATIN CAPITAL LETTER U WITH OGONEK
        0x0173, # LATIN SMALL LETTER U WITH OGONEK
        0x0174, # LATIN CAPITAL LETTER W WITH CIRCUMFLEX
        0x0175, # LATIN SMALL LETTER W WITH CIRCUMFLEX
        0x0176, # LATIN CAPITAL LETTER Y WITH CIRCUMFLEX
        0x0177, # LATIN SMALL LETTER Y WITH CIRCUMFLEX
        0x0178, # LATIN CAPITAL LETTER Y WITH DIAERESIS
        0x0179, # LATIN CAPITAL LETTER Z WITH ACUTE
        0x017A, # LATIN SMALL LETTER Z WITH ACUTE
        0x017B, # LATIN CAPITAL LETTER Z WITH DOT ABOVE
        0x017C, # LATIN SMALL LETTER Z WITH DOT ABOVE
        0x017D, # LATIN CAPITAL LETTER Z WITH CARON
        0x017E, # LATIN SMALL LETTER Z WITH CARON
        0x0180, # LATIN SMALL LETTER B WITH STROKE
        0x018F, # LATIN CAPITAL LETTER SCHWA
        0x0192, # LATIN SMALL LETTER F WITH HOOK
        0x01A0, # LATIN CAPITAL LETTER O WITH HORN
        0x01A1, # LATIN SMALL LETTER O WITH HORN
        0x01AF, # LATIN CAPITAL LETTER U WITH HORN
        0x01B0, # LATIN SMALL LETTER U WITH HORN
        0x01CD, # LATIN CAPITAL LETTER A WITH CARON
        0x01CE, # LATIN SMALL LETTER A WITH CARON
        0x01CF, # LATIN CAPITAL LETTER I WITH CARON
        0x01D0, # LATIN SMALL LETTER I WITH CARON
        0x01D1, # LATIN CAPITAL LETTER O WITH CARON
        0x01D2, # LATIN SMALL LETTER O WITH CARON
        0x01D3, # LATIN CAPITAL LETTER U WITH CARON
        0x01D4, # LATIN SMALL LETTER U WITH CARON
        0x01D5, # LATIN CAPITAL LETTER U WITH DIAERESIS AND MACRON
        0x01D6, # LATIN SMALL LETTER U WITH DIAERESIS AND MACRON
        0x01D7, # LATIN CAPITAL LETTER U WITH DIAERESIS AND ACUTE
        0x01D8, # LATIN SMALL LETTER U WITH DIAERESIS AND ACUTE
        0x01D9, # LATIN CAPITAL LETTER U WITH DIAERESIS AND CARON
        0x01DA, # LATIN SMALL LETTER U WITH DIAERESIS AND CARON
        0x01DB, # LATIN CAPITAL LETTER U WITH DIAERESIS AND GRAVE
        0x01DC, # LATIN SMALL LETTER U WITH DIAERESIS AND GRAVE
        0x01E6, # LATIN CAPITAL LETTER G WITH CARON
        0x01E7, # LATIN SMALL LETTER G WITH CARON
        0x01EA, # LATIN CAPITAL LETTER O WITH OGONEK
        0x01EB, # LATIN SMALL LETTER O WITH OGONEK
        0x0218, # LATIN CAPITAL LETTER S WITH COMMA BELOW
        0x0219, # LATIN SMALL LETTER S WITH COMMA BELOW
        0x021A, # LATIN CAPITAL LETTER T WITH COMMA BELOW
        0x021B, # LATIN SMALL LETTER T WITH COMMA BELOW
        0x0237, # LATIN SMALL LETTER DOTLESS J
        0x0243, # LATIN CAPITAL LETTER B WITH STROKE
        0x0250, # LATIN SMALL LETTER TURNED A
        0x0251, # LATIN SMALL LETTER ALPHA
        0x0252, # LATIN SMALL LETTER TURNED ALPHA
        0x0254, # LATIN SMALL LETTER OPEN O
        0x0258, # LATIN SMALL LETTER REVERSED E
        0x0259, # LATIN SMALL LETTER SCHWA
        0x0261, # LATIN SMALL LETTER SCRIPT G
        0x0265, # LATIN SMALL LETTER TURNED H
        0x026F, # LATIN SMALL LETTER TURNED M
        0x0279, # LATIN SMALL LETTER TURNED R
        0x0287, # LATIN SMALL LETTER TURNED T
        0x028C, # LATIN SMALL LETTER TURNED V
        0x028D, # LATIN SMALL LETTER TURNED W
        0x028E, # LATIN SMALL LETTER TURNED Y
        0x029E, # LATIN SMALL LETTER TURNED K
        0x02B0, # MODIFIER LETTER SMALL H
        0x02B2, # MODIFIER LETTER SMALL J
        0x02B3, # MODIFIER LETTER SMALL R
        0x02B7, # MODIFIER LETTER SMALL W
        0x02B8, # MODIFIER LETTER SMALL Y
        0x02BB, # MODIFIER LETTER TURNED COMMA
        0x02BC, # MODIFIER LETTER APOSTROPHE
        0x02BE, # MODIFIER LETTER RIGHT HALF RING
        0x02BF, # MODIFIER LETTER LEFT HALF RING
        0x02C6, # MODIFIER LETTER CIRCUMFLEX ACCENT
        0x02C7, # CARON
        0x02C8, # MODIFIER LETTER VERTICAL LINE
        0x02C9, # MODIFIER LETTER MACRON
        0x02CA, # MODIFIER LETTER ACUTE ACCENT
        0x02CB, # MODIFIER LETTER GRAVE ACCENT
        0x02CC, # MODIFIER LETTER LOW VERTICAL LINE
        0x02D8, # BREVE
        0x02D9, # DOT ABOVE
        0x02DA, # RING ABOVE
        0x02DB, # OGONEK
        0x02DC, # SMALL TILDE
        0x02DD, # DOUBLE ACUTE ACCENT
        0x02E1, # MODIFIER LETTER SMALL L
        0x02E2, # MODIFIER LETTER SMALL S
        0x02E3, # MODIFIER LETTER SMALL X
        0x0300, # COMBINING GRAVE ACCENT
        0x0301, # COMBINING ACUTE ACCENT
        0x0302, # COMBINING CIRCUMFLEX ACCENT
        0x0303, # COMBINING TILDE
        0x0304, # COMBINING MACRON
        0x0306, # COMBINING BREVE
        0x0307, # COMBINING DOT ABOVE
        0x0308, # COMBINING DIAERESIS
        0x0309, # COMBINING HOOK ABOVE
        0x030A, # COMBINING RING ABOVE
        0x030B, # COMBINING DOUBLE ACUTE ACCENT
        0x030C, # COMBINING CARON
        0x030F, # COMBINING DOUBLE GRAVE ACCENT
        0x0312, # COMBINING TURNED COMMA ABOVE
        0x0313, # COMBINING COMMA ABOVE
        0x031B, # COMBINING HORN
        0x0323, # COMBINING DOT BELOW
        0x0324, # COMBINING DIAERESIS BELOW
        0x0326, # COMBINING COMMA BELOW
        0x0327, # COMBINING CEDILLA
        0x0328, # COMBINING OGONEK
        0x032E, # COMBINING BREVE BELOW
        0x0331, # COMBINING MACRON BELOW
        0x03C0, # GREEK SMALL LETTER PI
        0x1D43, # MODIFIER LETTER SMALL A
        0x1D47, # MODIFIER LETTER SMALL B
        0x1D48, # MODIFIER LETTER SMALL D
        0x1D49, # MODIFIER LETTER SMALL E
        0x1D4D, # MODIFIER LETTER SMALL G
        0x1D4F, # MODIFIER LETTER SMALL K
        0x1D50, # MODIFIER LETTER SMALL M
        0x1D52, # MODIFIER LETTER SMALL O
        0x1D56, # MODIFIER LETTER SMALL P
        0x1D57, # MODIFIER LETTER SMALL T
        0x1D58, # MODIFIER LETTER SMALL U
        0x1D5B, # MODIFIER LETTER SMALL V
        0x1D9C, # MODIFIER LETTER SMALL C
        0x1DA0, # MODIFIER LETTER SMALL F
        0x1DBB, # MODIFIER LETTER SMALL Z
        0x1E0C, # LATIN CAPITAL LETTER D WITH DOT BELOW
        0x1E0D, # LATIN SMALL LETTER D WITH DOT BELOW
        0x1E0E, # LATIN CAPITAL LETTER D WITH LINE BELOW
        0x1E0F, # LATIN SMALL LETTER D WITH LINE BELOW
        0x1E20, # LATIN CAPITAL LETTER G WITH MACRON
        0x1E21, # LATIN SMALL LETTER G WITH MACRON
        0x1E24, # LATIN CAPITAL LETTER H WITH DOT BELOW
        0x1E25, # LATIN SMALL LETTER H WITH DOT BELOW
        0x1E2A, # LATIN CAPITAL LETTER H WITH BREVE BELOW
        0x1E2B, # LATIN SMALL LETTER H WITH BREVE BELOW
        0x1E36, # LATIN CAPITAL LETTER L WITH DOT BELOW
        0x1E37, # LATIN SMALL LETTER L WITH DOT BELOW
        0x1E38, # LATIN CAPITAL LETTER L WITH DOT BELOW AND MACRON
        0x1E39, # LATIN SMALL LETTER L WITH DOT BELOW AND MACRON
        0x1E3A, # LATIN CAPITAL LETTER L WITH LINE BELOW
        0x1E3B, # LATIN SMALL LETTER L WITH LINE BELOW
        0x1E42, # LATIN CAPITAL LETTER M WITH DOT BELOW
        0x1E43, # LATIN SMALL LETTER M WITH DOT BELOW
        0x1E44, # LATIN CAPITAL LETTER N WITH DOT ABOVE
        0x1E45, # LATIN SMALL LETTER N WITH DOT ABOVE
        0x1E46, # LATIN CAPITAL LETTER N WITH DOT BELOW
        0x1E47, # LATIN SMALL LETTER N WITH DOT BELOW
        0x1E48, # LATIN CAPITAL LETTER N WITH LINE BELOW
        0x1E49, # LATIN SMALL LETTER N WITH LINE BELOW
        0x1E5A, # LATIN CAPITAL LETTER R WITH DOT BELOW
        0x1E5B, # LATIN SMALL LETTER R WITH DOT BELOW
        0x1E5C, # LATIN CAPITAL LETTER R WITH DOT BELOW AND MACRON
        0x1E5D, # LATIN SMALL LETTER R WITH DOT BELOW AND MACRON
        0x1E5E, # LATIN CAPITAL LETTER R WITH LINE BELOW
        0x1E5F, # LATIN SMALL LETTER R WITH LINE BELOW
        0x1E60, # LATIN CAPITAL LETTER S WITH DOT ABOVE
        0x1E61, # LATIN SMALL LETTER S WITH DOT ABOVE
        0x1E62, # LATIN CAPITAL LETTER S WITH DOT BELOW
        0x1E63, # LATIN SMALL LETTER S WITH DOT BELOW
        0x1E6C, # LATIN CAPITAL LETTER T WITH DOT BELOW
        0x1E6D, # LATIN SMALL LETTER T WITH DOT BELOW
        0x1E6E, # LATIN CAPITAL LETTER T WITH LINE BELOW
        0x1E6F, # LATIN SMALL LETTER T WITH LINE BELOW
        0x1E80, # LATIN CAPITAL LETTER W WITH GRAVE
        0x1E81, # LATIN SMALL LETTER W WITH GRAVE
        0x1E82, # LATIN CAPITAL LETTER W WITH ACUTE
        0x1E83, # LATIN SMALL LETTER W WITH ACUTE
        0x1E84, # LATIN CAPITAL LETTER W WITH DIAERESIS
        0x1E85, # LATIN SMALL LETTER W WITH DIAERESIS
        0x1E8E, # LATIN CAPITAL LETTER Y WITH DOT ABOVE
        0x1E8F, # LATIN SMALL LETTER Y WITH DOT ABOVE
        0x1E92, # LATIN CAPITAL LETTER Z WITH DOT BELOW
        0x1E93, # LATIN SMALL LETTER Z WITH DOT BELOW
        0x1E97, # LATIN SMALL LETTER T WITH DIAERESIS
        0x1E9E, # LATIN CAPITAL LETTER SHARP S
        0x1EA0, # LATIN CAPITAL LETTER A WITH DOT BELOW
        0x1EA1, # LATIN SMALL LETTER A WITH DOT BELOW
        0x1EA2, # LATIN CAPITAL LETTER A WITH HOOK ABOVE
        0x1EA3, # LATIN SMALL LETTER A WITH HOOK ABOVE
        0x1EA4, # LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND ACUTE
        0x1EA5, # LATIN SMALL LETTER A WITH CIRCUMFLEX AND ACUTE
        0x1EA6, # LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND GRAVE
        0x1EA7, # LATIN SMALL LETTER A WITH CIRCUMFLEX AND GRAVE
        0x1EA8, # LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND HOOK ABOVE
        0x1EA9, # LATIN SMALL LETTER A WITH CIRCUMFLEX AND HOOK ABOVE
        0x1EAA, # LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND TILDE
        0x1EAB, # LATIN SMALL LETTER A WITH CIRCUMFLEX AND TILDE
        0x1EAC, # LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND DOT BELOW
        0x1EAD, # LATIN SMALL LETTER A WITH CIRCUMFLEX AND DOT BELOW
        0x1EAE, # LATIN CAPITAL LETTER A WITH BREVE AND ACUTE
        0x1EAF, # LATIN SMALL LETTER A WITH BREVE AND ACUTE
        0x1EB0, # LATIN CAPITAL LETTER A WITH BREVE AND GRAVE
        0x1EB1, # LATIN SMALL LETTER A WITH BREVE AND GRAVE
        0x1EB2, # LATIN CAPITAL LETTER A WITH BREVE AND HOOK ABOVE
        0x1EB3, # LATIN SMALL LETTER A WITH BREVE AND HOOK ABOVE
        0x1EB4, # LATIN CAPITAL LETTER A WITH BREVE AND TILDE
        0x1EB5, # LATIN SMALL LETTER A WITH BREVE AND TILDE
        0x1EB6, # LATIN CAPITAL LETTER A WITH BREVE AND DOT BELOW
        0x1EB7, # LATIN SMALL LETTER A WITH BREVE AND DOT BELOW
        0x1EB8, # LATIN CAPITAL LETTER E WITH DOT BELOW
        0x1EB9, # LATIN SMALL LETTER E WITH DOT BELOW
        0x1EBA, # LATIN CAPITAL LETTER E WITH HOOK ABOVE
        0x1EBB, # LATIN SMALL LETTER E WITH HOOK ABOVE
        0x1EBC, # LATIN CAPITAL LETTER E WITH TILDE
        0x1EBD, # LATIN SMALL LETTER E WITH TILDE
        0x1EBE, # LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND ACUTE
        0x1EBF, # LATIN SMALL LETTER E WITH CIRCUMFLEX AND ACUTE
        0x1EC0, # LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND GRAVE
        0x1EC1, # LATIN SMALL LETTER E WITH CIRCUMFLEX AND GRAVE
        0x1EC2, # LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND HOOK ABOVE
        0x1EC3, # LATIN SMALL LETTER E WITH CIRCUMFLEX AND HOOK ABOVE
        0x1EC4, # LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND TILDE
        0x1EC5, # LATIN SMALL LETTER E WITH CIRCUMFLEX AND TILDE
        0x1EC6, # LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND DOT BELOW
        0x1EC7, # LATIN SMALL LETTER E WITH CIRCUMFLEX AND DOT BELOW
        0x1EC8, # LATIN CAPITAL LETTER I WITH HOOK ABOVE
        0x1EC9, # LATIN SMALL LETTER I WITH HOOK ABOVE
        0x1ECA, # LATIN CAPITAL LETTER I WITH DOT BELOW
        0x1ECB, # LATIN SMALL LETTER I WITH DOT BELOW
        0x1ECC, # LATIN CAPITAL LETTER O WITH DOT BELOW
        0x1ECD, # LATIN SMALL LETTER O WITH DOT BELOW
        0x1ECE, # LATIN CAPITAL LETTER O WITH HOOK ABOVE
        0x1ECF, # LATIN SMALL LETTER O WITH HOOK ABOVE
        0x1ED0, # LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND ACUTE
        0x1ED1, # LATIN SMALL LETTER O WITH CIRCUMFLEX AND ACUTE
        0x1ED2, # LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND GRAVE
        0x1ED3, # LATIN SMALL LETTER O WITH CIRCUMFLEX AND GRAVE
        0x1ED4, # LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND HOOK ABOVE
        0x1ED5, # LATIN SMALL LETTER O WITH CIRCUMFLEX AND HOOK ABOVE
        0x1ED6, # LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND TILDE
        0x1ED7, # LATIN SMALL LETTER O WITH CIRCUMFLEX AND TILDE
        0x1ED8, # LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND DOT BELOW
        0x1ED9, # LATIN SMALL LETTER O WITH CIRCUMFLEX AND DOT BELOW
        0x1EDA, # LATIN CAPITAL LETTER O WITH HORN AND ACUTE
        0x1EDB, # LATIN SMALL LETTER O WITH HORN AND ACUTE
        0x1EDC, # LATIN CAPITAL LETTER O WITH HORN AND GRAVE
        0x1EDD, # LATIN SMALL LETTER O WITH HORN AND GRAVE
        0x1EDE, # LATIN CAPITAL LETTER O WITH HORN AND HOOK ABOVE
        0x1EDF, # LATIN SMALL LETTER O WITH HORN AND HOOK ABOVE
        0x1EE0, # LATIN CAPITAL LETTER O WITH HORN AND TILDE
        0x1EE1, # LATIN SMALL LETTER O WITH HORN AND TILDE
        0x1EE2, # LATIN CAPITAL LETTER O WITH HORN AND DOT BELOW
        0x1EE3, # LATIN SMALL LETTER O WITH HORN AND DOT BELOW
        0x1EE4, # LATIN CAPITAL LETTER U WITH DOT BELOW
        0x1EE5, # LATIN SMALL LETTER U WITH DOT BELOW
        0x1EE6, # LATIN CAPITAL LETTER U WITH HOOK ABOVE
        0x1EE7, # LATIN SMALL LETTER U WITH HOOK ABOVE
        0x1EE8, # LATIN CAPITAL LETTER U WITH HORN AND ACUTE
        0x1EE9, # LATIN SMALL LETTER U WITH HORN AND ACUTE
        0x1EEA, # LATIN CAPITAL LETTER U WITH HORN AND GRAVE
        0x1EEB, # LATIN SMALL LETTER U WITH HORN AND GRAVE
        0x1EEC, # LATIN CAPITAL LETTER U WITH HORN AND HOOK ABOVE
        0x1EED, # LATIN SMALL LETTER U WITH HORN AND HOOK ABOVE
        0x1EEE, # LATIN CAPITAL LETTER U WITH HORN AND TILDE
        0x1EEF, # LATIN SMALL LETTER U WITH HORN AND TILDE
        0x1EF0, # LATIN CAPITAL LETTER U WITH HORN AND DOT BELOW
        0x1EF1, # LATIN SMALL LETTER U WITH HORN AND DOT BELOW
        0x1EF2, # LATIN CAPITAL LETTER Y WITH GRAVE
        0x1EF3, # LATIN SMALL LETTER Y WITH GRAVE
        0x1EF4, # LATIN CAPITAL LETTER Y WITH DOT BELOW
        0x1EF5, # LATIN SMALL LETTER Y WITH DOT BELOW
        0x1EF6, # LATIN CAPITAL LETTER Y WITH HOOK ABOVE
        0x1EF7, # LATIN SMALL LETTER Y WITH HOOK ABOVE
        0x1EF8, # LATIN CAPITAL LETTER Y WITH TILDE
        0x1EF9, # LATIN SMALL LETTER Y WITH TILDE
        0x2007, # FIGURE SPACE
        0x2012, # FIGURE DASH
        0x2013, # EN DASH
        0x2014, # EM DASH
        0x2015, # HORIZONTAL BAR
        0x2018, # LEFT SINGLE QUOTATION MARK
        0x2019, # RIGHT SINGLE QUOTATION MARK
        0x201A, # SINGLE LOW-9 QUOTATION MARK
        0x201C, # LEFT DOUBLE QUOTATION MARK
        0x201D, # RIGHT DOUBLE QUOTATION MARK
        0x201E, # DOUBLE LOW-9 QUOTATION MARK
        0x2020, # DAGGER
        0x2021, # DOUBLE DAGGER
        0x2022, # BULLET
        0x2026, # HORIZONTAL ELLIPSIS
        0x2030, # PER MILLE SIGN
        0x2032, # PRIME
        0x2033, # DOUBLE PRIME
        0x2039, # SINGLE LEFT-POINTING ANGLE QUOTATION MARK
        0x203A, # SINGLE RIGHT-POINTING ANGLE QUOTATION MARK
        0x2044, # FRACTION SLASH
        0x2070, # SUPERSCRIPT ZERO
        0x2071, # SUPERSCRIPT LATIN SMALL LETTER I
        0x2074, # SUPERSCRIPT FOUR
        0x2075, # SUPERSCRIPT FIVE
        0x2076, # SUPERSCRIPT SIX
        0x2077, # SUPERSCRIPT SEVEN
        0x2078, # SUPERSCRIPT EIGHT
        0x2079, # SUPERSCRIPT NINE
        0x207D, # SUPERSCRIPT LEFT PARENTHESIS
        0x207E, # SUPERSCRIPT RIGHT PARENTHESIS
        0x207F, # SUPERSCRIPT LATIN SMALL LETTER N
        0x2080, # SUBSCRIPT ZERO
        0x2081, # SUBSCRIPT ONE
        0x2082, # SUBSCRIPT TWO
        0x2083, # SUBSCRIPT THREE
        0x2084, # SUBSCRIPT FOUR
        0x2085, # SUBSCRIPT FIVE
        0x2086, # SUBSCRIPT SIX
        0x2087, # SUBSCRIPT SEVEN
        0x2088, # SUBSCRIPT EIGHT
        0x2089, # SUBSCRIPT NINE
        0x208D, # SUBSCRIPT LEFT PARENTHESIS
        0x208E, # SUBSCRIPT RIGHT PARENTHESIS
        0x2094, # LATIN SUBSCRIPT SMALL LETTER SCHWA
        0x20A1, # COLON SIGN
        0x20A4, # LIRA SIGN
        0x20A6, # NAIRA SIGN
        0x20A7, # PESETA SIGN
        0x20AB, # DONG SIGN
        0x20AC, # EURO SIGN
        0x20B1, # PESO SIGN
        0x20B2, # GUARANI SIGN
        0x20B5, # CEDI SIGN
        0x20B9, # <Unassigned>
        0x20BA, # <Unassigned>
        0x2113, # SCRIPT SMALL L
        0x2117, # SOUND RECORDING COPYRIGHT
        0x2120, # SERVICE MARK
        0x2122, # TRADE MARK SIGN
        0x2126, # OHM SIGN
        0x212E, # ESTIMATED SYMBOL
        0x2153, # VULGAR FRACTION ONE THIRD
        0x2154, # VULGAR FRACTION TWO THIRDS
        0x215B, # VULGAR FRACTION ONE EIGHTH
        0x215C, # VULGAR FRACTION THREE EIGHTHS
        0x215D, # VULGAR FRACTION FIVE EIGHTHS
        0x215E, # VULGAR FRACTION SEVEN EIGHTHS
        0x2190, # LEFTWARDS ARROW
        0x2191, # UPWARDS ARROW
        0x2192, # RIGHTWARDS ARROW
        0x2193, # DOWNWARDS ARROW
        0x2202, # PARTIAL DIFFERENTIAL
        0x2206, # INCREMENT
        0x220F, # N-ARY PRODUCT
        0x2211, # N-ARY SUMMATION
        0x2212, # MINUS SIGN
        0x2215, # DIVISION SLASH
        0x2219, # BULLET OPERATOR
        0x221A, # SQUARE ROOT
        0x221E, # INFINITY
        0x222B, # INTEGRAL
        0x2248, # ALMOST EQUAL TO
        0x2260, # NOT EQUAL TO
        0x2264, # LESS-THAN OR EQUAL TO
        0x2265, # GREATER-THAN OR EQUAL TO
        0x2500, # BOX DRAWINGS LIGHT HORIZONTAL
        0x2501, # BOX DRAWINGS HEAVY HORIZONTAL
        0x2502, # BOX DRAWINGS LIGHT VERTICAL
        0x2503, # BOX DRAWINGS HEAVY VERTICAL
        0x2504, # BOX DRAWINGS LIGHT TRIPLE DASH HORIZONTAL
        0x2505, # BOX DRAWINGS HEAVY TRIPLE DASH HORIZONTAL
        0x2506, # BOX DRAWINGS LIGHT TRIPLE DASH VERTICAL
        0x2507, # BOX DRAWINGS HEAVY TRIPLE DASH VERTICAL
        0x2508, # BOX DRAWINGS LIGHT QUADRUPLE DASH HORIZONTAL
        0x2509, # BOX DRAWINGS HEAVY QUADRUPLE DASH HORIZONTAL
        0x250A, # BOX DRAWINGS LIGHT QUADRUPLE DASH VERTICAL
        0x250B, # BOX DRAWINGS HEAVY QUADRUPLE DASH VERTICAL
        0x250C, # BOX DRAWINGS LIGHT DOWN AND RIGHT
        0x250D, # BOX DRAWINGS DOWN LIGHT AND RIGHT HEAVY
        0x250E, # BOX DRAWINGS DOWN HEAVY AND RIGHT LIGHT
        0x250F, # BOX DRAWINGS HEAVY DOWN AND RIGHT
        0x2510, # BOX DRAWINGS LIGHT DOWN AND LEFT
        0x2511, # BOX DRAWINGS DOWN LIGHT AND LEFT HEAVY
        0x2512, # BOX DRAWINGS DOWN HEAVY AND LEFT LIGHT
        0x2513, # BOX DRAWINGS HEAVY DOWN AND LEFT
        0x2514, # BOX DRAWINGS LIGHT UP AND RIGHT
        0x2515, # BOX DRAWINGS UP LIGHT AND RIGHT HEAVY
        0x2516, # BOX DRAWINGS UP HEAVY AND RIGHT LIGHT
        0x2517, # BOX DRAWINGS HEAVY UP AND RIGHT
        0x2518, # BOX DRAWINGS LIGHT UP AND LEFT
        0x2519, # BOX DRAWINGS UP LIGHT AND LEFT HEAVY
        0x251A, # BOX DRAWINGS UP HEAVY AND LEFT LIGHT
        0x251B, # BOX DRAWINGS HEAVY UP AND LEFT
        0x251C, # BOX DRAWINGS LIGHT VERTICAL AND RIGHT
        0x251D, # BOX DRAWINGS VERTICAL LIGHT AND RIGHT HEAVY
        0x251E, # BOX DRAWINGS UP HEAVY AND RIGHT DOWN LIGHT
        0x251F, # BOX DRAWINGS DOWN HEAVY AND RIGHT UP LIGHT
        0x2520, # BOX DRAWINGS VERTICAL HEAVY AND RIGHT LIGHT
        0x2521, # BOX DRAWINGS DOWN LIGHT AND RIGHT UP HEAVY
        0x2522, # BOX DRAWINGS UP LIGHT AND RIGHT DOWN HEAVY
        0x2523, # BOX DRAWINGS HEAVY VERTICAL AND RIGHT
        0x2524, # BOX DRAWINGS LIGHT VERTICAL AND LEFT
        0x2525, # BOX DRAWINGS VERTICAL LIGHT AND LEFT HEAVY
        0x2526, # BOX DRAWINGS UP HEAVY AND LEFT DOWN LIGHT
        0x2527, # BOX DRAWINGS DOWN HEAVY AND LEFT UP LIGHT
        0x2528, # BOX DRAWINGS VERTICAL HEAVY AND LEFT LIGHT
        0x2529, # BOX DRAWINGS DOWN LIGHT AND LEFT UP HEAVY
        0x252A, # BOX DRAWINGS UP LIGHT AND LEFT DOWN HEAVY
        0x252B, # BOX DRAWINGS HEAVY VERTICAL AND LEFT
        0x252C, # BOX DRAWINGS LIGHT DOWN AND HORIZONTAL
        0x252D, # BOX DRAWINGS LEFT HEAVY AND RIGHT DOWN LIGHT
        0x252E, # BOX DRAWINGS RIGHT HEAVY AND LEFT DOWN LIGHT
        0x252F, # BOX DRAWINGS DOWN LIGHT AND HORIZONTAL HEAVY
        0x2530, # BOX DRAWINGS DOWN HEAVY AND HORIZONTAL LIGHT
        0x2531, # BOX DRAWINGS RIGHT LIGHT AND LEFT DOWN HEAVY
        0x2532, # BOX DRAWINGS LEFT LIGHT AND RIGHT DOWN HEAVY
        0x2533, # BOX DRAWINGS HEAVY DOWN AND HORIZONTAL
        0x2534, # BOX DRAWINGS LIGHT UP AND HORIZONTAL
        0x2535, # BOX DRAWINGS LEFT HEAVY AND RIGHT UP LIGHT
        0x2536, # BOX DRAWINGS RIGHT HEAVY AND LEFT UP LIGHT
        0x2537, # BOX DRAWINGS UP LIGHT AND HORIZONTAL HEAVY
        0x2538, # BOX DRAWINGS UP HEAVY AND HORIZONTAL LIGHT
        0x2539, # BOX DRAWINGS RIGHT LIGHT AND LEFT UP HEAVY
        0x253A, # BOX DRAWINGS LEFT LIGHT AND RIGHT UP HEAVY
        0x253B, # BOX DRAWINGS HEAVY UP AND HORIZONTAL
        0x253C, # BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL
        0x253D, # BOX DRAWINGS LEFT HEAVY AND RIGHT VERTICAL LIGHT
        0x253E, # BOX DRAWINGS RIGHT HEAVY AND LEFT VERTICAL LIGHT
        0x253F, # BOX DRAWINGS VERTICAL LIGHT AND HORIZONTAL HEAVY
        0x2540, # BOX DRAWINGS UP HEAVY AND DOWN HORIZONTAL LIGHT
        0x2541, # BOX DRAWINGS DOWN HEAVY AND UP HORIZONTAL LIGHT
        0x2542, # BOX DRAWINGS VERTICAL HEAVY AND HORIZONTAL LIGHT
        0x2543, # BOX DRAWINGS LEFT UP HEAVY AND RIGHT DOWN LIGHT
        0x2544, # BOX DRAWINGS RIGHT UP HEAVY AND LEFT DOWN LIGHT
        0x2545, # BOX DRAWINGS LEFT DOWN HEAVY AND RIGHT UP LIGHT
        0x2546, # BOX DRAWINGS RIGHT DOWN HEAVY AND LEFT UP LIGHT
        0x2547, # BOX DRAWINGS DOWN LIGHT AND UP HORIZONTAL HEAVY
        0x2548, # BOX DRAWINGS UP LIGHT AND DOWN HORIZONTAL HEAVY
        0x2549, # BOX DRAWINGS RIGHT LIGHT AND LEFT VERTICAL HEAVY
        0x254A, # BOX DRAWINGS LEFT LIGHT AND RIGHT VERTICAL HEAVY
        0x254B, # BOX DRAWINGS HEAVY VERTICAL AND HORIZONTAL
        0x254C, # BOX DRAWINGS LIGHT DOUBLE DASH HORIZONTAL
        0x254D, # BOX DRAWINGS HEAVY DOUBLE DASH HORIZONTAL
        0x254E, # BOX DRAWINGS LIGHT DOUBLE DASH VERTICAL
        0x254F, # BOX DRAWINGS HEAVY DOUBLE DASH VERTICAL
        0x2550, # BOX DRAWINGS DOUBLE HORIZONTAL
        0x2551, # BOX DRAWINGS DOUBLE VERTICAL
        0x2552, # BOX DRAWINGS DOWN SINGLE AND RIGHT DOUBLE
        0x2553, # BOX DRAWINGS DOWN DOUBLE AND RIGHT SINGLE
        0x2554, # BOX DRAWINGS DOUBLE DOWN AND RIGHT
        0x2555, # BOX DRAWINGS DOWN SINGLE AND LEFT DOUBLE
        0x2556, # BOX DRAWINGS DOWN DOUBLE AND LEFT SINGLE
        0x2557, # BOX DRAWINGS DOUBLE DOWN AND LEFT
        0x2558, # BOX DRAWINGS UP SINGLE AND RIGHT DOUBLE
        0x2559, # BOX DRAWINGS UP DOUBLE AND RIGHT SINGLE
        0x255A, # BOX DRAWINGS DOUBLE UP AND RIGHT
        0x255B, # BOX DRAWINGS UP SINGLE AND LEFT DOUBLE
        0x255C, # BOX DRAWINGS UP DOUBLE AND LEFT SINGLE
        0x255D, # BOX DRAWINGS DOUBLE UP AND LEFT
        0x255E, # BOX DRAWINGS VERTICAL SINGLE AND RIGHT DOUBLE
        0x255F, # BOX DRAWINGS VERTICAL DOUBLE AND RIGHT SINGLE
        0x2560, # BOX DRAWINGS DOUBLE VERTICAL AND RIGHT
        0x2561, # BOX DRAWINGS VERTICAL SINGLE AND LEFT DOUBLE
        0x2562, # BOX DRAWINGS VERTICAL DOUBLE AND LEFT SINGLE
        0x2563, # BOX DRAWINGS DOUBLE VERTICAL AND LEFT
        0x2564, # BOX DRAWINGS DOWN SINGLE AND HORIZONTAL DOUBLE
        0x2565, # BOX DRAWINGS DOWN DOUBLE AND HORIZONTAL SINGLE
        0x2566, # BOX DRAWINGS DOUBLE DOWN AND HORIZONTAL
        0x2567, # BOX DRAWINGS UP SINGLE AND HORIZONTAL DOUBLE
        0x2568, # BOX DRAWINGS UP DOUBLE AND HORIZONTAL SINGLE
        0x2569, # BOX DRAWINGS DOUBLE UP AND HORIZONTAL
        0x256A, # BOX DRAWINGS VERTICAL SINGLE AND HORIZONTAL DOUBLE
        0x256B, # BOX DRAWINGS VERTICAL DOUBLE AND HORIZONTAL SINGLE
        0x256C, # BOX DRAWINGS DOUBLE VERTICAL AND HORIZONTAL
        0x256D, # BOX DRAWINGS LIGHT ARC DOWN AND RIGHT
        0x256E, # BOX DRAWINGS LIGHT ARC DOWN AND LEFT
        0x256F, # BOX DRAWINGS LIGHT ARC UP AND LEFT
        0x2570, # BOX DRAWINGS LIGHT ARC UP AND RIGHT
        0x2571, # BOX DRAWINGS LIGHT DIAGONAL UPPER RIGHT TO LOWER LEFT
        0x2572, # BOX DRAWINGS LIGHT DIAGONAL UPPER LEFT TO LOWER RIGHT
        0x2573, # BOX DRAWINGS LIGHT DIAGONAL CROSS
        0x2574, # BOX DRAWINGS LIGHT LEFT
        0x2575, # BOX DRAWINGS LIGHT UP
        0x2576, # BOX DRAWINGS LIGHT RIGHT
        0x2577, # BOX DRAWINGS LIGHT DOWN
        0x2578, # BOX DRAWINGS HEAVY LEFT
        0x2579, # BOX DRAWINGS HEAVY UP
        0x257A, # BOX DRAWINGS HEAVY RIGHT
        0x257B, # BOX DRAWINGS HEAVY DOWN
        0x257C, # BOX DRAWINGS LIGHT LEFT AND HEAVY RIGHT
        0x257D, # BOX DRAWINGS LIGHT UP AND HEAVY DOWN
        0x257E, # BOX DRAWINGS HEAVY LEFT AND LIGHT RIGHT
        0x257F, # BOX DRAWINGS HEAVY UP AND LIGHT DOWN
        0x2580, # UPPER HALF BLOCK
        0x2581, # LOWER ONE EIGHTH BLOCK
        0x2582, # LOWER ONE QUARTER BLOCK
        0x2583, # LOWER THREE EIGHTHS BLOCK
        0x2584, # LOWER HALF BLOCK
        0x2585, # LOWER FIVE EIGHTHS BLOCK
        0x2586, # LOWER THREE QUARTERS BLOCK
        0x2587, # LOWER SEVEN EIGHTHS BLOCK
        0x2588, # FULL BLOCK
        0x2589, # LEFT SEVEN EIGHTHS BLOCK
        0x258A, # LEFT THREE QUARTERS BLOCK
        0x258B, # LEFT FIVE EIGHTHS BLOCK
        0x258C, # LEFT HALF BLOCK
        0x258D, # LEFT THREE EIGHTHS BLOCK
        0x258E, # LEFT ONE QUARTER BLOCK
        0x258F, # LEFT ONE EIGHTH BLOCK
        0x2590, # RIGHT HALF BLOCK
        0x2591, # LIGHT SHADE
        0x2592, # MEDIUM SHADE
        0x2593, # DARK SHADE
        0x2594, # UPPER ONE EIGHTH BLOCK
        0x2595, # RIGHT ONE EIGHTH BLOCK
        0x2596, # QUADRANT LOWER LEFT
        0x2597, # QUADRANT LOWER RIGHT
        0x2598, # QUADRANT UPPER LEFT
        0x2599, # QUADRANT UPPER LEFT AND LOWER LEFT AND LOWER RIGHT
        0x259A, # QUADRANT UPPER LEFT AND LOWER RIGHT
        0x259B, # QUADRANT UPPER LEFT AND UPPER RIGHT AND LOWER LEFT
        0x259C, # QUADRANT UPPER LEFT AND UPPER RIGHT AND LOWER RIGHT
        0x259D, # QUADRANT UPPER RIGHT
        0x259E, # QUADRANT UPPER RIGHT AND LOWER LEFT
        0x259F, # QUADRANT UPPER RIGHT AND LOWER LEFT AND LOWER RIGHT
        0x25A0, # BLACK SQUARE
        0x25B2, # BLACK UP-POINTING TRIANGLE
        0x25B3, # WHITE UP-POINTING TRIANGLE
        0x25B6, # BLACK RIGHT-POINTING TRIANGLE
        0x25B7, # WHITE RIGHT-POINTING TRIANGLE
        0x25BC, # BLACK DOWN-POINTING TRIANGLE
        0x25BD, # WHITE DOWN-POINTING TRIANGLE
        0x25C0, # BLACK LEFT-POINTING TRIANGLE
        0x25C1, # WHITE LEFT-POINTING TRIANGLE
        0x25C6, # BLACK DIAMOND
        0x25C9, # FISHEYE
        0x25CA, # LOZENGE
        0x2610, # BALLOT BOX
        0x2611, # BALLOT BOX WITH CHECK
        0x266A, # EIGHTH NOTE
        0x2713, # CHECK MARK
        0x2752, # UPPER RIGHT SHADOWED WHITE SQUARE
        0xFB01, # LATIN SMALL LIGATURE FI
        0xFB02, # LATIN SMALL LIGATURE FL
    ]